Extending Qt Creator Manual | TypeId

Extending Qt Creator Manual 4.5.2

# TypeId Class

(QmlJS::TypeId)

Inherits: | QmlJS::ValueVisitor (protected)

- List of all members, including inherited members

## Public Functions

QString | operator()(const Value *value)

- 11 public functions inherited from QmlJS::ValueVisitor

## Reimplemented Protected Functions

virtual void | visit(const NullValue *) override
virtual void | visit(const UndefinedValue *) override
virtual void | visit(const NumberValue *) override
virtual void | visit(const BooleanValue *) override
virtual void | visit(const StringValue *) override
virtual void | visit(const ObjectValue *object) override
virtual void | visit(const FunctionValue *object) override
virtual void | visit(const ColorValue *) override
virtual void | visit(const AnchorLineValue *) override

## Member Function Documentation

### `[override virtual protected]` void TypeId::visit(const NullValue *)

### `[override virtual protected]` void TypeId::visit(const UndefinedValue *)

### `[override virtual protected]` void TypeId::visit(const NumberValue *)

### `[override virtual protected]` void TypeId::visit(const BooleanValue *)

### `[override virtual protected]` void TypeId::visit(const StringValue *)

### `[override virtual protected]` void TypeId::visit(const ObjectValue *object)

### `[override virtual protected]` void TypeId::visit(const FunctionValue *object)

### `[override virtual protected]` void TypeId::visit(const ColorValue *)

### `[override virtual protected]` void TypeId::visit(const AnchorLineValue *)

### QString TypeId::operator()(const Value *value)